--- radiusd/src/modules/rlm_eap/types/rlm_eap_tls/rlm_eap_tls.c-	2006-04-28 20:21:49.000000000 +0200
+++ radiusd/src/modules/rlm_eap/types/rlm_eap_tls/rlm_eap_tls.c	2006-08-22 16:53:29.000000000 +0200
@@ -449,15 +449,27 @@
 	if (conf) {
 		if (conf->dh_file) free(conf->dh_file);
 		conf->dh_file = NULL;
+		if (conf->CA_path) free(conf->CA_path);
+		conf->CA_path = NULL;
 		if (conf->certificate_file) free(conf->certificate_file);
 		conf->certificate_file = NULL;
 		if (conf->private_key_file) free(conf->private_key_file);
 		conf->private_key_file = NULL;
 		if (conf->private_key_password) free(conf->private_key_password);
 		conf->private_key_password = NULL;
+		if (conf->CA_file) free(conf->CA_file);
+		conf->CA_file = NULL;
 		if (conf->random_file) free(conf->random_file);
 		conf->random_file = NULL;
 
+		if (conf->check_cert_cn) free(conf->check_cert_cn);
+		conf->check_cert_cn = NULL;
+		if (conf->use_as_cert_cn) free(conf->use_as_cert_cn);
+		conf->check_cipher_list = NULL;
+		if (conf->check_cipher_list) free(conf->check_cipher_list);
+		conf->check_cipher_list = NULL;
+		if (conf->check_cert_issuer) free(conf->check_cert_issuer);
+		conf->check_cert_issuer = NULL;
 		free(inst->conf);
 		inst->conf = NULL;
 	}
